package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PenyulitAnestesiVO extends BaseTransactionVO {
	
	@NotNull(message="keterangan tidak boleh kosong")
	@Column(name = "keterangan")
	@Caption(value="Keterangan")
	private String keterangan;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPemeriksaanFisikFk")
	@NotNull(message="Pemeriksaan Fisik tidak boleh kosong")
	@Caption(value="Object pemeriksaanFisik")
	private PemeriksaanFisikVO pemeriksaanFisik;

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public PemeriksaanFisikVO getPemeriksaanFisik() {
		return pemeriksaanFisik;
	}

	public void setPemeriksaanFisik(PemeriksaanFisikVO pemeriksaanFisik) {
		this.pemeriksaanFisik = pemeriksaanFisik;
	}	
}
